yappa-ng におけるXSSの脆弱性、開発者と連絡取れず使用中止を呼びかけ | ScanNetSecurity
2022.05.21(土)

yappa-ng におけるXSSの脆弱性、開発者と連絡取れず使用中止を呼びかけ

独立行政法人情報処理推進機構(IPA)および一般社団法人JPCERT コーディネーションセンター(JPCERT/CC)は4月22日、yappa-ng におけるクロスサイトスクリプティングの脆弱性について「Japan Vulnerability Notes(JVN)」で発表した。影響を受けるシステムは以下の通り。

脆弱性と脅威 セキュリティホール・脆弱性
独立行政法人情報処理推進機構(IPA)および一般社団法人JPCERT コーディネーションセンター(JPCERT/CC)は4月22日、yappa-ng におけるクロスサイトスクリプティングの脆弱性について「Japan Vulnerability Notes(JVN)」で発表した。影響を受けるシステムは以下の通り。

開発者:yet another PHP photo album next generation(届出当時の記載による)
届出のあったソフトウエア製品名およびバージョン:yappa-ng 2.3.2

yet another PHP photo album next generationが提供する PHPフォトギャラリーyappa-ng( http://www.zirkon.at/zirkon/scripts/yappa-ng/yappa-ng_main_eng.html )には、当該ソフトウエア製品のページにアクセスしたユーザのWebブラウザ上で、意図しないスクリプトが実行されるクロスサイトスクリプティングの脆弱性が存在し、当該製品を使用するサイトにアクセスしたユーザのWebブラウザ上で、任意のスクリプトを実行される可能性がある。

JVNでは、製品開発者と連絡が取れないため、本脆弱性の対策状況は不明でyappa-ng 2.3.2 の使用中止を検討するよう注意を呼びかけている。

なおIPAでは2020年6月25日に、届出で提供された情報をもとに脆弱性の再現を確認している。
《ScanNetSecurity》

関連記事

Scan PREMIUM 会員限定記事

もっと見る

Scan PREMIUM 会員限定記事特集をもっと見る

カテゴリ別新着記事

「経理」「営業」「企画」「プログラミング」「デザイン」と並ぶ、事業で成功するためのビジネスセンスが「セキュリティ」
「経理」「営業」「企画」「プログラミング」「デザイン」と並ぶ、事業で成功するためのビジネスセンスが「セキュリティ」

ページ右上「ユーザー登録」から会員登録すれば会員限定記事を閲覧できます。毎週月曜の朝、先週一週間のセキュリティ動向を総括しふりかえるメルマガをお届け。(写真:ScanNetSecurity 名誉編集長 りく)

×